Sortie de WordPress 2.8.1

Sortie de WordPress 2.8.1

WordPress 2.8.1 corrige de nombreux bugs et améliore la sécurité des pages d’administration des extensions.

En effet, le site Core Security Technologies a averti les développeurs de WordPress que les pages de réglages de certaines extensions peuvent être vues par des utilisateurs qui n’ont pas les permissions nécessaires. Résultat, des informations pouvaient être volées dans certaines situations. Toutes les extensions ne sont pas touchées par ce problème, néanmoins il est préférable de mettre à jour son installation pour être sûr.

Quoi d’autre sinon depuis WP 2.8 ? Ci-dessous le résumé des modifications, ou la liste des toutes les modifications depuis WP 2.8 sur le trac.

  • WordPress 2.8.1 corrige un bug lié à la fonction get_categories() qui ne fonctionnait pas sur certains thèmes ;
  • La consommation de mémoire a été réduite sur le tableau de bord, évitant ainsi les pages blanches et les erreurs PHP ;
  • Le processus de mise à jour automatique n’efface plus accidentellement des fichiers lors de l’échec de la mise à jour ;
  • L’éditeur visuel se charge correctement même avec la compression Gz — auparavant sur certaines configurations il plantait ;
  • La correction d’un problème de sécurité concernant les pages d’administration des extensions ;
  • Le nom des rôles est traduit correctement ;
  • La fonction wp_page_menu() trie désormais selon l’ordre spécifié par l’utilisateur au lieu du titre de la page ;
  • Les messages d’erreurs lors de l’envoi fonctionnent correctement ;
  • Amélioration de la sauvegarde automatique lors de la rédaction d’un article sous IE ;
  • Correction du style d’éditeur visuel ;
  • Les pré-requis pour le système de fichier SSH2 ont été mis à jour ;
  • Le mode cURL est désormais le mode par défaut pour l’appel de données externes ;
  • Correction de la librairie de traduction avec un problème concernant le paramètre PHP mbstring.func_overload ;
  • Meilleur nettoyage du code CSS en ligne ;
  • Meilleure sécurité du menu ;
  • Désactivation de la coloration syntaxique sur l’éditeur de fichiers suite à des problèmes de compatibilité sur les navigateurs web ;
  • Correction du style RTL.

La version française est d’ors et déjà disponible ! Merci à Xavier pour la traduction au fil de l’eau…

27 commentaires

  1. seneque

    bonjour

    la mise a jour automatique ne marche pas pour mes sites. J’ignore pourquoi.
    j’aimerais du coup uploader uniquement les fichiers modifiés, en VF bien sur.

    un fichier zip est il disponible pour cela ?

    merci

  2. Fabien

    On ne le répète jamais assez : il vaut mieux désactiver tous ses plugins avant de faire la m.à.j., les réactiver après, et aussi faire une sauvegarde préalable de sa base par sécurité.

  3. Jenny

    «  »
    Comme le dit Seneque, un pack avec juste les fichiers modifiés sera-t-il dispo ? Et est-ce que votre VF corrige enfin le problème de guillements du pack français 2.8 ? (d’où mes guillements en début de commentaire, pour tester)

  4. Jenny

    Eh bien non, le problème de guillemets n’est toujours pas réglé il semblerait. Les guillements américains sont toujours remplacés par les françaises, depuis la 2.8. Donc ça va encore péter du code.

  5. Xavier

    Jenny : tu peux nous donner plus de détail sur ce problème, sur contact@wpfr ?

    Les guillemets sont convertis parce que c’est une possibilité de la traduction, et que nous aimons respecter la typographie française.

    Envoie-nous un exemple d’effet de bord malencontreux sur l’adresse de contact, s’il te plaît.

  6. Comme une image

    @ Amo » Je pense que je vais passer directement de la 2.7.1 à la 2.8.1 ! 😉

    Jenny » Fais-tu référence à un problème traité sur le forum support ? J’ai traité un problème de ce genre-là qui venait de la configuration php (sur magic quote) mais je ne sais pas si c’est en rapport avec ce que tu signales.

  7. Erika

    Et bien le problème rss2 qui fonctionne pas, n’est pas réglé ! Je suis repassée à la version 2.7 du coup… parce mes abonnés ne recevaient plus mon flux… Et j’ai bien tout regardé : le thème, les plugin, suivi tout les infos du forum… Et c’est idem sur les 3 sites wordpress que je gère !

    J’attends la prochaine version…

  8. Wordpress 2.8.1 - webdev-memento

    […] Cette nouvelle version corrige ainsi une vulnérabilité qui permettait d’afficher les pages d’options de certains plugins en outrepassant les droits. Bien sûr, WordPress en a profiter pour ajouter divers corrections dont vous pouvez retrouver la liste sur l’annonce officielle (en anglais), ainsi que sur le site de WordPress Francophone. […]

  9. Oreille malade

    Bonjour,
    J’ai un gros problème suite au passage à WordPress 2.8.1 et la mise à jour peu après de All In One SEO Pack : ce dernier a été désactivé et a effacé apparemment tous mes réglages !

    Il me dit :
    « All in One SEO Pack must be configured. Go to the admin page to enable and configure the plugin. » et sur la page dudit plugin : « Your database options need to be updated. ».

    J’ai également un problème avec Akismet depuis la mise à jour de WordPress (enfin, il me semble que le problème est apparu quelques heures après (??)) :
    « Akismet a détecté un problème. Un problème au niveau du réseau ou du serveur empêche Akismet de fonctionner correctement. »

    Quelqu’un aurait une idée pour m’aider ?
    Mon blog :
    http://www.Oreille-Malade.com

    Merci d’avance 😉

  10. Maître Mô

    Mise à jour automatique effectuée sans soucis majeurs chez moi (OVH); quelques plugins en rade suite je pense à la correction de certaines fonctions (postlist et page list plus notamment ) sinon tout baigne.

    Pour les guillemets, si, comme moi, on préfère afficher des  » plutôt que des <>, il faut corriger en ce sens, dans wp-content/langages, le fichier fr_FR.po, lignes 10519 et 10525, et y remplacer dans les deux cas les traduction par "

    Merci pour tout, sinon !

  11. Comme une image

    @ Maître Mô » Tu veux dire &laquo; et &raquo; ? 😉

    Et tu voulais dire « Si on préfère des " aux guillemets français »
    (Mais c’est mal, de ne pas respecter la typographie française !!!)

  12. Maître Mô

    Oui, c’est mal !
    Mais :
    – c’est mal aussi de se moquer de moi, j’ai progressé en un an, quand-même, merde alors !
    – c’est ça qui est bon…
    – et je déteste les chevrons, je voulais des guillemets droits, donc, voilà !!!

    Sinon, qu’est-ce qui merde, à votre avis, dans les plugins précités, tous à base de wp_list_pages() donc je suppose que c’est là qu’ça bloque : faut-il réécrire la fonction autrement dans le plugin, ou bien quoi ?

  13. mikiwank

    Impossible pour moi de passer de 2.7.1 à la 2.8 ou même 2.8.1. Toujours le même message error 500 et tous mes widgets qui sautent…
    Je repasse à la 2.7.1 en attendant,,ça me désespère un peu ce passage…

  14. Jerome

    Archive incompatible: PCLZIP_ERR_BAD_FORMAT (-10) : Unable to find End of Central Dir Record signature

    Faut-il faire quelque chose ?

  15. bebop

    Perso la mise à jour n’a pas poser de problème … mais je n’ai toujours pas l’éditeur visuel …

    Y’aurais pas comme un bug résiduel des fois ? 😉

  16. blurp

    Rectification : j’ai trouvé le fautif, c’est le plugin Vipers Video Quicktags qui fait bugger l’éditeur. Alleluia 😉

  17. Prof.

    J’ai installé WP-MU français chez mon ISP, il y 4 jours.Sans aucune experience anterieur avec WP. Sauf échec total 2jours avant sur Easyphp et wamp.
    Aujourd’hui je lance la mise à jour depuis l’admin et je me retrouve avec la version anglaise. Que puis-je faire ?. Merci de m’aider.

Les commentaires sont fermés